Notifications

Notification channels.

All paths are relative to the base path /api/v1 (same origin as the UI). Authentication, roles, pagination and the error format are described in the overview; the types are on the page Data types.

OperationRequestPermission
Configured channels (secrets redacted)GET /notifications/channelsread (viewer)
Send a test notificationPOST /notifications/channels/{name}/actions/testnotifications:test (operator)

Configured channels (secrets redacted)

GET /api/v1/notifications/channels

Operation listNotificationChannels. Permission read (lowest role: viewer).

Responses

StatusDescriptionContent typeType
200Channelsapplication/jsonChannelInfoList
401Not authenticated (code unauthorized)application/problem+jsonProblem

Send a test notification

POST /api/v1/notifications/channels/{name}/actions/test

Operation testNotificationChannel. Permission notifications:test (lowest role: operator).

Parameters

NameInTypeRequiredDescription
namepathstringyesPattern ^[a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?$.
X-CSRF-TokenheaderstringnoRequired for cookie-authenticated mutating requests (value of cookie myriarch_csrf).

Responses

StatusDescriptionContent typeType
202Sentapplication/jsonActionAccepted
404Not found (code not_found)application/problem+jsonProblem